Subject: Re: [PATCH 0/8] Sequencer Foundations

From: Jonathan Nieder <[email-masked]>
Date: Fri, 13 May 2011 05:37:56 -0500

Christian Couder wrote:

> About writing files before each cherry-pick, I am not against it, if
> it is really needed to be safe. I even suggested it in my patch series
> back in November
> (http://article.gmane.org/gmane.comp.version-control.git/162183).
> But it will make cherry-pick less efficient, so it is a kind of
> performance regression that we can perhaps avoid by changing some
> die() into error().

Yes, that's a good point.  Maybe in the long term the extra safety
could become optional.  And I am happy about the die() elimination;
the only part I was not as thrilled about is relying on it.

Some die() calls, like the one in xmalloc, would be very difficult to
eliminate.